/*****************************(abc910-18326.c)***
 *      OLED + RTC v
 *************************************************/

#include "mcc_generated_files/mcc.h"
#include "myProject.h"

#define VBA

char  RBuf[BFSIZE];
uint8_t SFlg;

/***********************************************
        Main application
 ***********************************************/
void main(void)
{
    uint8_t cmd;
    uint8_t key;
    
    SYSTEM_Initialize();

    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    i2cOLED_init();
//    RTC_init();
    
    puts("ready!\n"); 
    i2cOLED_Clr(0,7,0);
    i2cOLED_str("ready!");
   
    while (1)
    {
        key = IO_RA5_GetValue();
        if(key == 0){
            __delay_ms(20);
            if( key == IO_RA5_GetValue() )
                cmd_J();
            while(IO_RA5_GetValue()==0);
        }
        
        if(SFlg){
            cmd = RBuf[0];
            #ifndef VBA
                puts("\r");
            #endif
            switch(cmd){
//                case 'C': i2cOLED_Clr(0,7,0); break;
                case 'W': i2cMem_cmd_W(RBuf);  break;
                case 'R': i2cMem_cmd_R(RBuf);  break;
                case 'Q': i2cMem_cmd_Q(RBuf);  break;
                case 'U': i2cMem_cmd_U(RBuf);  break;
                case 'S': i2cMem_cmd_W(RBuf);  break;
                case 'P': i2cMem_cmd_P(RBuf);  break;
                case 'K': i2cMem_cmd_K(RBuf);  break;
                case 'L': i2cMem_cmd_L(RBuf);  break;
                case 'G': read_RAM_cmd();  break;
                case 'M': I2C_RAM_CmdWrite(0,2);  break;
                case 'I': i2cRTC_cmd_I();       break;
                case 'Y': i2cRTC_cmd_Y(RBuf);   break;
                case 'T': i2cRTC_cmd_T(RBuf);   break;
                case 'J': cmd_J(); break;
                                                // LȃR}hȂ
                default:  if(i2cMem_SqMode()){
                            i2cMem_cmd_WSQ(RBuf);
                          }                     // A[hȂ
                          break;                // V[PXs
            } 
            SFlg = 0;
        }
//        IO_RA4_Toggle();
//        __delay_ms(500); 
        OLED_Clock();             
    }
}
/***  End of File  ***/
